import firebase from "firebase";
import { ApiResponse, IApi } from "yuni-chanz-react";
export default abstract class FirebaseApi<T = any> implements IApi<T> {
    readonly firestore: firebase.firestore.Firestore;
    readonly storage: firebase.storage.Storage;
    readonly functions: firebase.functions.Functions;
    readonly auth: firebase.auth.Auth;
    readonly messaging: firebase.messaging.Messaging;
    readonly analytics: firebase.analytics.Analytics;
    abstract request(): Promise<ApiResponse<T>>;
}
